Index: /palm/trunk/SOURCE/data_output_binary_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_binary_module.f90	(revision 4140)
+++ /palm/trunk/SOURCE/data_output_binary_module.f90	(revision 4141)
@@ -524,69 +523,64 @@
 !> Write variable to file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE binary_write_variable(                                         &
-              file_id, var_id, bounds_start, value_counts, bounds_origin, &
-              is_global,                                                  &
-              var_int8_0d,   var_int8_1d,   var_int8_2d,   var_int8_3d,   &
-              var_int16_0d,  var_int16_1d,  var_int16_2d,  var_int16_3d,  &
-              var_int32_0d,  var_int32_1d,  var_int32_2d,  var_int32_3d,  &
-              var_intwp_0d,  var_intwp_1d,  var_intwp_2d,  var_intwp_3d,  &
-              var_real32_0d, var_real32_1d, var_real32_2d, var_real32_3d, &
-              var_real64_0d, var_real64_1d, var_real64_2d, var_real64_3d, &
-              var_realwp_0d, var_realwp_1d, var_realwp_2d, var_realwp_3d, &
+SUBROUTINE binary_write_variable(                                                     &
+              file_id, variable_id, bounds_start, value_counts, bounds_origin,        &
+              is_global,                                                              &
+              values_int8_0d,   values_int8_1d,   values_int8_2d,   values_int8_3d,   &
+              values_int16_0d,  values_int16_1d,  values_int16_2d,  values_int16_3d,  &
+              values_int32_0d,  values_int32_1d,  values_int32_2d,  values_int32_3d,  &
+              values_intwp_0d,  values_intwp_1d,  values_intwp_2d,  values_intwp_3d,  &
+              values_real32_0d, values_real32_1d, values_real32_2d, values_real32_3d, &
+              values_real64_0d, values_real64_1d, values_real64_2d, values_real64_3d, &
+              values_realwp_0d, values_realwp_1d, values_realwp_2d, values_realwp_3d, &
               return_value )
 
-   CHARACTER(LEN=charlen) ::  out_str  !< output string
+   CHARACTER(LEN=charlen) ::  output_string  !< output string
 
    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_write_variable'  !< name of this routine
 
-   INTEGER(iwp), INTENT(IN)  ::  file_id       !< file ID
-   INTEGER(iwp), INTENT(OUT) ::  return_value  !< return value
-   INTEGER(iwp), INTENT(IN)  ::  var_id        !< variable ID
-
-   INTEGER(iwp), DIMENSION(:), INTENT(IN) ::  bounds_origin  !< starting index of each dimension
-   INTEGER(iwp), DIMENSION(:), INTENT(IN) ::  bounds_start   !< starting index of variable
-   INTEGER(iwp), DIMENSION(:), INTENT(IN) ::  value_counts   !< count of values along each dimension to be written
-
-   INTEGER(KIND=1), POINTER, INTENT(IN), OPTIONAL                               ::  var_int8_0d  !< output variable
-   INTEGER(KIND=1), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  var_int8_1d  !< output variable
-   INTEGER(KIND=1), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  var_int8_2d  !< output variable
-   INTEGER(KIND=1), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  var_int8_3d  !< output variable
-
-   INTEGER(KIND=2), POINTER, INTENT(IN), OPTIONAL                               ::  var_int16_0d  !< output variable
-   INTEGER(KIND=2), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  var_int16_1d  !< output variable
-   INTEGER(KIND=2), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  var_int16_2d  !< output variable
-   INTEGER(KIND=2), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  var_int16_3d  !< output variable
-
-   INTEGER(KIND=4), POINTER, INTENT(IN), OPTIONAL                               ::  var_int32_0d  !< output variable
-   INTEGER(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  var_int32_1d  !< output variable
-   INTEGER(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  var_int32_2d  !< output variable
-   INTEGER(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  var_int32_3d  !< output variable
-
-   INTEGER(iwp), POINTER, INTENT(IN), OPTIONAL                               ::  var_intwp_0d  !< output variable
-   INTEGER(iwp), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  var_intwp_1d  !< output variable
-   INTEGER(iwp), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  var_intwp_2d  !< output variable
-   INTEGER(iwp), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  var_intwp_3d  !< output variable
+   INTEGER, INTENT(IN)  ::  file_id       !< file ID
+   INTEGER, INTENT(OUT) ::  return_value  !< return value
+   INTEGER, INTENT(IN)  ::  variable_id   !< variable ID
+
+   INTEGER, DIMENSION(:), INTENT(IN) ::  bounds_origin  !< starting index of each dimension
+   INTEGER, DIMENSION(:), INTENT(IN) ::  bounds_start   !< starting index of variable
+   INTEGER, DIMENSION(:), INTENT(IN) ::  value_counts   !< count of values along each dimension to be written
+
+   INTEGER(KIND=1), POINTER,             INTENT(IN), OPTIONAL                   ::  values_int8_0d   !< output variable
+   INTEGER(KIND=2), POINTER,             INTENT(IN), OPTIONAL                   ::  values_int16_0d  !< output variable
+   INTEGER(KIND=4), POINTER,             INTENT(IN), OPTIONAL                   ::  values_int32_0d  !< output variable
+   INTEGER(iwp),    POINTER,             INTENT(IN), OPTIONAL                   ::  values_intwp_0d  !< output variable
+   INTEGER(KIND=1), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  values_int8_1d   !< output variable
+   INTEGER(KIND=2), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  values_int16_1d  !< output variable
+   INTEGER(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  values_int32_1d  !< output variable
+   INTEGER(iwp),    POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  values_intwp_1d  !< output variable
+   INTEGER(KIND=1), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  values_int8_2d   !< output variable
+   INTEGER(KIND=2), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  values_int16_2d  !< output variable
+   INTEGER(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  values_int32_2d  !< output variable
+   INTEGER(iwp),    POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  values_intwp_2d  !< output variable
+   INTEGER(KIND=1), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  values_int8_3d   !< output variable
+   INTEGER(KIND=2), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  values_int16_3d  !< output variable
+   INTEGER(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  values_int32_3d  !< output variable
+   INTEGER(iwp),    POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  values_intwp_3d  !< output variable
 
    LOGICAL, INTENT(IN) ::  is_global  !< true if variable is global (same on all PE)
 
-   REAL(KIND=4), POINTER, INTENT(IN), OPTIONAL                               ::  var_real32_0d  !< output variable
-   REAL(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  var_real32_1d  !< output variable
-   REAL(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  var_real32_2d  !< output variable
-   REAL(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  var_real32_3d  !< output variable
-
-   REAL(KIND=8), POINTER, INTENT(IN), OPTIONAL                               ::  var_real64_0d  !< output variable
-   REAL(KIND=8), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  var_real64_1d  !< output variable
-   REAL(KIND=8), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  var_real64_2d  !< output variable
-   REAL(KIND=8), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  var_real64_3d  !< output variable
-
-   REAL(wp), POINTER, INTENT(IN), OPTIONAL                               ::  var_realwp_0d  !< output variable
-   REAL(wp), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  var_realwp_1d  !< output variable
-   REAL(wp), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  var_realwp_2d  !< output variable
-   REAL(wp), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  var_realwp_3d  !< output variable
+   REAL(KIND=4), POINTER,             INTENT(IN), OPTIONAL                   ::  values_real32_0d  !< output variable
+   REAL(KIND=8), POINTER,             INTENT(IN), OPTIONAL                   ::  values_real64_0d  !< output variable
+   REAL(wp),     POINTER,             INTENT(IN), OPTIONAL                   ::  values_realwp_0d  !< output variable
+   REAL(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  values_real32_1d  !< output variable
+   REAL(KIND=8), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  values_real64_1d  !< output variable
+   REAL(wp),     POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:)     ::  values_realwp_1d  !< output variable
+   REAL(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  values_real32_2d  !< output variable
+   REAL(KIND=8), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  values_real64_2d  !< output variable
+   REAL(wp),     POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:)   ::  values_realwp_2d  !< output variable
+   REAL(KIND=4), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  values_real32_3d  !< output variable
+   REAL(KIND=8), POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  values_real64_3d  !< output variable
+   REAL(wp),     POINTER, CONTIGUOUS, INTENT(IN), OPTIONAL, DIMENSION(:,:,:) ::  values_realwp_3d  !< output variable
 
 
    return_value = 0
 
-   WRITE( temp_string, '(": write variable ",I6," into file ",I6)' ) var_id, file_id
+   WRITE( temp_string, '(": write variable ",I6," into file ",I6)' ) variable_id, file_id
    CALL internal_message( 'debug', routine_name // TRIM( temp_string ) )
 
@@ -594,127 +588,127 @@
 
    IF ( .NOT. ANY( value_counts == 0 ) )  THEN
-      WRITE( file_id )  var_id
+      WRITE( file_id )  variable_id
       WRITE( file_id )  bounds_start
       WRITE( file_id )  value_counts
       WRITE( file_id )  bounds_origin
       !-- 8bit integer output
-      IF ( PRESENT( var_int8_0d ) )  THEN
-         out_str = 'int8'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int8_0d
-      ELSEIF ( PRESENT( var_int8_1d ) )  THEN
-         out_str = 'int8'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int8_1d
-      ELSEIF ( PRESENT( var_int8_2d ) )  THEN
-         out_str = 'int8'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int8_2d
-      ELSEIF ( PRESENT( var_int8_3d ) )  THEN
-         out_str = 'int8'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int8_3d
+      IF ( PRESENT( values_int8_0d ) )  THEN
+         output_string = 'int8'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int8_0d
+      ELSEIF ( PRESENT( values_int8_1d ) )  THEN
+         output_string = 'int8'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int8_1d
+      ELSEIF ( PRESENT( values_int8_2d ) )  THEN
+         output_string = 'int8'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int8_2d
+      ELSEIF ( PRESENT( values_int8_3d ) )  THEN
+         output_string = 'int8'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int8_3d
       !-- 16bit integer output
-      ELSEIF ( PRESENT( var_int16_0d ) )  THEN
-         out_str = 'int16'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int16_0d
-      ELSEIF ( PRESENT( var_int16_1d ) )  THEN
-         out_str = 'int16'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int16_1d
-      ELSEIF ( PRESENT( var_int16_2d ) )  THEN
-         out_str = 'int16'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int16_2d
-      ELSEIF ( PRESENT( var_int16_3d ) )  THEN
-         out_str = 'int16'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int16_3d
+      ELSEIF ( PRESENT( values_int16_0d ) )  THEN
+         output_string = 'int16'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int16_0d
+      ELSEIF ( PRESENT( values_int16_1d ) )  THEN
+         output_string = 'int16'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int16_1d
+      ELSEIF ( PRESENT( values_int16_2d ) )  THEN
+         output_string = 'int16'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int16_2d
+      ELSEIF ( PRESENT( values_int16_3d ) )  THEN
+         output_string = 'int16'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int16_3d
       !-- 32bit integer output
-      ELSEIF ( PRESENT( var_int32_0d ) )  THEN
-         out_str = 'int32'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int32_0d
-      ELSEIF ( PRESENT( var_int32_1d ) )  THEN
-         out_str = 'int32'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int32_1d
-      ELSEIF ( PRESENT( var_int32_2d ) )  THEN
-         out_str = 'int32'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int32_2d
-      ELSEIF ( PRESENT( var_int32_3d ) )  THEN
-         out_str = 'int32'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_int32_3d
+      ELSEIF ( PRESENT( values_int32_0d ) )  THEN
+         output_string = 'int32'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int32_0d
+      ELSEIF ( PRESENT( values_int32_1d ) )  THEN
+         output_string = 'int32'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int32_1d
+      ELSEIF ( PRESENT( values_int32_2d ) )  THEN
+         output_string = 'int32'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int32_2d
+      ELSEIF ( PRESENT( values_int32_3d ) )  THEN
+         output_string = 'int32'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_int32_3d
       !-- working-precision integer output
-      ELSEIF ( PRESENT( var_intwp_0d ) )  THEN
-         out_str = 'intwp'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_intwp_0d
-      ELSEIF ( PRESENT( var_intwp_1d ) )  THEN
-         out_str = 'intwp'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_intwp_1d
-      ELSEIF ( PRESENT( var_intwp_2d ) )  THEN
-         out_str = 'intwp'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_intwp_2d
-      ELSEIF ( PRESENT( var_intwp_3d ) )  THEN
-         out_str = 'intwp'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_intwp_3d
+      ELSEIF ( PRESENT( values_intwp_0d ) )  THEN
+         output_string = 'intwp'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_intwp_0d
+      ELSEIF ( PRESENT( values_intwp_1d ) )  THEN
+         output_string = 'intwp'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_intwp_1d
+      ELSEIF ( PRESENT( values_intwp_2d ) )  THEN
+         output_string = 'intwp'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_intwp_2d
+      ELSEIF ( PRESENT( values_intwp_3d ) )  THEN
+         output_string = 'intwp'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_intwp_3d
       !-- 32bit real output
-      ELSEIF ( PRESENT( var_real32_0d ) )  THEN
-         out_str = 'real32'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_real32_0d
-      ELSEIF ( PRESENT( var_real32_1d ) )  THEN
-         out_str = 'real32'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_real32_1d
-      ELSEIF ( PRESENT( var_real32_2d ) )  THEN
-         out_str = 'real32'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_real32_2d
-      ELSEIF ( PRESENT( var_real32_3d ) )  THEN
-         out_str = 'real32'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_real32_3d
+      ELSEIF ( PRESENT( values_real32_0d ) )  THEN
+         output_string = 'real32'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_real32_0d
+      ELSEIF ( PRESENT( values_real32_1d ) )  THEN
+         output_string = 'real32'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_real32_1d
+      ELSEIF ( PRESENT( values_real32_2d ) )  THEN
+         output_string = 'real32'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_real32_2d
+      ELSEIF ( PRESENT( values_real32_3d ) )  THEN
+         output_string = 'real32'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_real32_3d
       !-- 64bit real output
-      ELSEIF ( PRESENT( var_real64_0d ) )  THEN
-         out_str = 'real64'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_real64_0d
-      ELSEIF ( PRESENT( var_real64_1d ) )  THEN
-         out_str = 'real64'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_real64_1d
-      ELSEIF ( PRESENT( var_real64_2d ) )  THEN
-         out_str = 'real64'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_real64_2d
-      ELSEIF ( PRESENT( var_real64_3d ) )  THEN
-         out_str = 'real64'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_real64_3d
+      ELSEIF ( PRESENT( values_real64_0d ) )  THEN
+         output_string = 'real64'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_real64_0d
+      ELSEIF ( PRESENT( values_real64_1d ) )  THEN
+         output_string = 'real64'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_real64_1d
+      ELSEIF ( PRESENT( values_real64_2d ) )  THEN
+         output_string = 'real64'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_real64_2d
+      ELSEIF ( PRESENT( values_real64_3d ) )  THEN
+         output_string = 'real64'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_real64_3d
       !-- working-precision real output
-      ELSEIF ( PRESENT( var_realwp_0d ) )  THEN
-         out_str = 'realwp'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_realwp_0d
-      ELSEIF ( PRESENT( var_realwp_1d ) )  THEN
-         out_str = 'realwp'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_realwp_1d
-      ELSEIF ( PRESENT( var_realwp_2d ) )  THEN
-         out_str = 'realwp'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_realwp_2d
-      ELSEIF ( PRESENT( var_realwp_3d ) )  THEN
-         out_str = 'realwp'
-         WRITE( file_id )  out_str
-         WRITE( file_id )  var_realwp_3d
+      ELSEIF ( PRESENT( values_realwp_0d ) )  THEN
+         output_string = 'realwp'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_realwp_0d
+      ELSEIF ( PRESENT( values_realwp_1d ) )  THEN
+         output_string = 'realwp'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_realwp_1d
+      ELSEIF ( PRESENT( values_realwp_2d ) )  THEN
+         output_string = 'realwp'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_realwp_2d
+      ELSEIF ( PRESENT( values_realwp_3d ) )  THEN
+         output_string = 'realwp'
+         WRITE( file_id )  output_string
+         WRITE( file_id )  values_realwp_3d
       ELSE
          return_value = 1
@@ -733,16 +727,16 @@
 SUBROUTINE binary_finalize( file_id, return_value )
 
-   CHARACTER(LEN=charlen) ::  out_str  !< output string
+   CHARACTER(LEN=charlen) ::  output_string  !< output string
 
    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_finalize'  !< name of this routine
 
-   INTEGER(iwp), INTENT(IN)  ::  file_id       !< file ID
-   INTEGER(iwp), INTENT(OUT) ::  return_value  !< return value
+   INTEGER, INTENT(IN)  ::  file_id       !< file ID
+   INTEGER, INTENT(OUT) ::  return_value  !< return value
 
 
    IF ( config_file_open )  THEN
 
-      out_str = '*** end config file ***'
-      WRITE( config_file_unit )  out_str
+      output_string = '*** end config file ***'
+      WRITE( config_file_unit )  output_string
 
       CLOSE( config_file_unit, IOSTAT=return_value )
@@ -762,13 +756,12 @@
    IF ( return_value == 0 )  THEN
 
-      WRITE(temp_string,*) file_id
+      WRITE( temp_string, * ) file_id
       CALL internal_message( 'debug', routine_name // &
-                                      ': close file (file_id=' // TRIM( temp_string ) // ')' )
+                             ': close file (file_id=' // TRIM( temp_string ) // ')' )
 
       CLOSE( file_id, IOSTAT=return_value )
       IF ( return_value /= 0 )  THEN
-         WRITE(temp_string,*) file_id
-         CALL internal_message( 'error',        &
-                                routine_name // &
+         WRITE( temp_string, * ) file_id
+         CALL internal_message( 'error', routine_name // &
                                 ': cannot close file (file_id=' // TRIM( temp_string ) // ')' )
       ENDIF
@@ -778,5 +771,4 @@
 END SUBROUTINE binary_finalize
 
-
 !--------------------------------------------------------------------------------------------------!
 ! Description:
@@ -809,13 +801,14 @@
 !> Return the last created error message.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE binary_get_error_message( error_message )
-
-   CHARACTER(LEN=800), INTENT(OUT) ::  error_message  !< return error message to main program
-
-
-   error_message = internal_error_message
-
-END SUBROUTINE binary_get_error_message
-
+FUNCTION binary_get_error_message() RESULT( error_message )
+
+   CHARACTER(LEN=800) ::  error_message  !< return error message to main program
+
+
+   error_message = TRIM( internal_error_message )
+   
+   internal_error_message = ''
+
+END FUNCTION binary_get_error_message
 
 END MODULE data_output_binary_module
